Skip to main content

Get device offering

GET 

/api/v2/device/offering

Returns the software offerings available to this device, grouped by project. Each project contains one or more releases with policy availability information. When include_updates is enabled, releases that are currently downloading, deploying, or already installed are included with their real-time status.

Request

Query Parameters

    bypass_policy boolean

    Skip policy enforcement; availability will be null on all releases

    include_updates boolean

    Include releases that are currently being delivered, deployed, or already installed on the device.

    When false (default), only available offerings are returned

    When true, the response also includes releases that are in progress (downloading, deploying, etc.) or already installed, alongside any available offerings.

Responses

Schema

  • Array [

  • displayName stringnullable

    Display name of the project

    label stringnullable

    Label of the project

    projectId int64required

    Identifier of the project

    projectName stringrequired

    Name of the project

    releases object[]required

    All releases offered for this project

  • ]

Loading...